=== modified file 'gears.js'
--- gears.js	2008-07-07 01:04:26 +0000
+++ gears.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,7 @@
-dojo.provide("dojo.gears");
-
-dojo.gears._gearsObject = function(){
+dojo.module(
+	"dojo.gears",
+	function(gears){
+gears._gearsObject = function(){
 	// summary: 
 	//		factory method to get a Google Gears plugin instance to
 	//		expose in the browser runtime environment, if present
@@ -49,4 +50,6 @@
 // see if we have Google Gears installed, and if
 // so, make it available in the runtime environment
 // and in the Google standard 'google.gears' global object
-dojo.gears.available = (!!dojo.gears._gearsObject())||0;
+gears.available = (!!dojo.gears._gearsObject())||0;
+	}
+);

=== modified file 'hash.js'
--- hash.js	2009-10-23 15:08:10 +0000
+++ hash.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,3 @@
-dojo.provide("dojo.hash");
 //TODOC: where does this go?
 // summary:
 //		Methods for monitoring and updating the hash in the browser URL.
@@ -10,7 +9,9 @@
 //			// do something based on the hash value.
 // 		}
 
-(function(){
+dojo.module(
+	"dojo.hash",
+	function(){
 	dojo.hash = function(/* String? */ hash, /* Boolean? */ replace){
 		//	summary:
 		//		Gets or sets the hash string.
@@ -220,4 +221,5 @@
 			// else non-supported browser, do nothing.
 		}
 	});
-})();
\ No newline at end of file
+	}
+);

=== modified file 'html.js'
--- html.js	2009-09-22 07:06:24 +0000
+++ html.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,8 @@
-dojo.provide("dojo.html");
-
-// the parser might be needed..
-dojo.require("dojo.parser"); 
-
-(function(){ // private scope, sort of a namespace
+dojo.module(
+	"dojo.html",
+	// the parser might be needed..
+	"dojo.parser",
+	function(){ // private scope, sort of a namespace
 
 	// idCounter is incremented with each instantiation to allow asignment of a unique id for tracking, logging purposes
 	var idCounter = 0, 
@@ -316,4 +315,5 @@
 			return op.set();
 		}
 	};
-})();
+	}
+);

=== modified file 'i18n.js'
--- i18n.js	2008-07-06 23:21:55 +0000
+++ i18n.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,11 @@
-dojo.provide("dojo.i18n");
-
+dojo.module("dojo.i18n", function(i18n){
 /*=====
 dojo.i18n = {
 	// summary: Utility classes to enable loading of resources for internationalization (i18n)
 };
 =====*/
 
-dojo.i18n.getLocalization = function(/*String*/packageName, /*String*/bundleName, /*String?*/locale){
+i18n.getLocalization = function(/*String*/packageName, /*String*/bundleName, /*String?*/locale){
 	//	summary:
 	//		Returns an Object containing the localization for a given resource
 	//		bundle in a package, matching the specified locale.
@@ -59,7 +58,7 @@
 	throw new Error("Bundle not found: " + bundleName + " in " + packageName+" , locale=" + locale);
 };
 
-dojo.i18n.normalizeLocale = function(/*String?*/locale){
+i18n.normalizeLocale = function(/*String?*/locale){
 	//	summary:
 	//		Returns canonical form of locale, as used by Dojo.
 	//
@@ -75,7 +74,7 @@
 	return result; // String
 };
 
-dojo.i18n._requireLocalization = function(/*String*/moduleName, /*String*/bundleName, /*String?*/locale, /*String?*/availableFlatLocales){
+i18n._requireLocalization = function(/*String*/moduleName, /*String*/bundleName, /*String?*/locale, /*String?*/availableFlatLocales){
 	//	summary:
 	//		See dojo.requireLocalization()
 	//	description:
@@ -126,7 +125,7 @@
 	}
 
 	if(!localizedBundle){
-		bundle = dojo["provide"](bundlePackage);
+		bundle = dojo._loadedModules[bundlePackage] = dojo.getObject(bundlePackage, true)
 		var syms = dojo._getModuleSymbols(moduleName);
 		var modpath = syms.concat("nls").join("/");
 		var parent;
@@ -137,18 +136,25 @@
 			var loaded = false;
 			if(!dojo._loadedModules[translationPackage]){
 				// Mark loaded whether it's found or not, so that further load attempts will not be made
-				dojo["provide"](translationPackage);
+				dojo._loadedModules[translationPackage] = dojo.getObject(translationPackage, true)
 				var module = [modpath];
 				if(loc != "ROOT"){module.push(loc);}
 				module.push(bundleName);
 				var filespec = module.join("/") + '.js';
-				loaded = dojo._loadPath(filespec, null, function(hash){
-					// Use singleton with prototype to point to parent bundle, then mix-in result from loadPath
+				var uri = ((filespec.charAt(0) == '/' || filespec.match(/^\w+:/)) ? "" : dojo.baseUrl) + filespec;
+				var content = dojo._getText(uri, true);
+				if(content){
+					content = '(' + content + ')';
+					if(!dojo.isIE){ content += "\r\n//@ sourceURL=" + uri; } // debugging assist for Firebug
+					var hash = dojo["eval"](content);
 					var clazz = function(){};
 					clazz.prototype = parent;
 					bundle[jsLoc] = new clazz();
 					for(var j in hash){ bundle[jsLoc][j] = hash[j]; }
-				});
+					loaded = true;
+				}else{
+					loaded = false;
+				}
 			}else{
 				loaded = true;
 			}
@@ -173,7 +179,6 @@
 	}
 };
 
-(function(){
 	// If other locales are used, dojo.requireLocalization should load them as
 	// well, by default. 
 	// 
@@ -196,9 +201,16 @@
 			}
 		};
 	}
-})();
-
-dojo.i18n._searchLocalePath = function(/*String*/locale, /*Boolean*/down, /*Function*/searchFunc){
+
+i18n.module = function(/*String*/ moduleName, /*Object?*/ hash){
+	var module = dojo.getObject(moduleName, true);
+
+	if(hash){
+		dojo.mixin(module, hash);
+	}
+};
+
+i18n._searchLocalePath = function(/*String*/locale, /*Boolean*/down, /*Function*/searchFunc){
 	//	summary:
 	//		A helper method to assist in searching for locale-based resources.
 	//		Will iterate through the variants of a particular locale, either up
@@ -222,7 +234,7 @@
 	}
 };
 
-dojo.i18n._preloadLocalizations = function(/*String*/bundlePrefix, /*Array*/localesGenerated){
+i18n._preloadLocalizations = function(/*String*/bundlePrefix, /*Array*/localesGenerated){
 	//	summary:
 	//		Load built, flattened resource bundles, if available for all
 	//		locales used in the page. Only called by built layer files.
@@ -245,3 +257,5 @@
 		preload(extra[i]);
 	}
 };
+
+});

=== modified file 'io/iframe.js'
--- io/iframe.js	2009-10-04 17:29:23 +0000
+++ io/iframe.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.io.iframe");
+dojo.module("dojo.io.iframe", function(){
 
 /*=====
 dojo.declare("dojo.io.iframe.__ioArgs", dojo.__IoArgs, {
@@ -398,3 +398,4 @@
 		ioArgs._finished = true;
 	}
 }
+});

=== modified file 'io/script.js'
--- io/script.js	2009-04-29 15:42:43 +0000
+++ io/script.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.io.script");
+dojo.module("dojo.io.script", function(){
 
 /*=====
 dojo.declare("dojo.io.script.__ioArgs", dojo.__IoArgs, {
@@ -34,7 +34,6 @@
 	}
 });
 =====*/
-;(function(){
 	var loadEvent = dojo.isIE ? "onreadystatechange" : "load",
 		readyRegExp = /complete|loaded/;
 
@@ -246,4 +245,4 @@
 			this.ioArgs.json = json;
 		}
 	}
-})();
\ No newline at end of file
+});

=== modified file 'jaxer.js'
--- jaxer.js	2008-03-02 07:02:14 +0000
+++ jaxer.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.jaxer");
+dojo.module("dojo.jaxer", function(){
 
 if(typeof print == "function"){
 	console.debug = Jaxer.Log.debug;
@@ -9,3 +9,5 @@
 }
 
 onserverload = dojo._loadInit;
+
+});

=== modified file 'number.js'
--- number.js	2009-09-18 00:17:13 +0000
+++ number.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,6 @@
-dojo.provide("dojo.number");
+dojo.module("dojo.number", ["dojo.i18n", "dojo.string", "dojo.regexp"], function(number){
 
-dojo.require("dojo.i18n");
 dojo.requireLocalization("dojo.cldr", "number");
-dojo.require("dojo.string");
-dojo.require("dojo.regexp");
 
 
 /*=====
@@ -564,3 +561,5 @@
 	// integer RE
 	return signRE + numberRE; // String
 }
+
+});

=== modified file 'parser.js'
--- parser.js	2009-10-24 20:26:29 +0000
+++ parser.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,7 @@
-dojo.provide("dojo.parser");
-dojo.require("dojo.date.stamp");
-
+dojo.module(
+	"dojo.parser",
+	"dojo.date.stamp",
+	function(){
 dojo.parser = new function(){
 	// summary: The Dom/Widget parsing package
 
@@ -305,7 +306,6 @@
 //Register the parser callback. It should be the first callback
 //after the a11y test.
 
-(function(){
 	var parseRunner = function(){ 
 		if(dojo.config.parseOnLoad){
 			dojo.parser.parse(); 
@@ -318,4 +318,5 @@
 	}else{
 		dojo._loaders.unshift(parseRunner);
 	}
-})();
+	}
+);

=== modified file 'regexp.js'
--- regexp.js	2009-01-03 20:55:36 +0000
+++ regexp.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,12 @@
-dojo.provide("dojo.regexp");
-
 /*=====
 dojo.regexp = {
 	// summary: Regular expressions and Builder resources
 };
 =====*/
-
-dojo.regexp.escapeString = function(/*String*/str, /*String?*/except){
+dojo.module(
+	"dojo.regexp",
+	function(regexp){
+regexp.escapeString = function(/*String*/str, /*String?*/except){
 	//	summary:
 	//		Adds escape sequences for special characters in regular expressions
 	// except:
@@ -20,7 +20,7 @@
 	}); // String
 }
 
-dojo.regexp.buildGroupRE = function(/*Object|Array*/arr, /*Function*/re, /*Boolean?*/nonCapture){
+regexp.buildGroupRE = function(/*Object|Array*/arr, /*Function*/re, /*Boolean?*/nonCapture){
 	//	summary:
 	//		Builds a regular expression that groups subexpressions
 	//	description:
@@ -54,7 +54,7 @@
 	return dojo.regexp.group(b.join("|"), nonCapture); // String
 }
 
-dojo.regexp.group = function(/*String*/expression, /*Boolean?*/nonCapture){
+regexp.group = function(/*String*/expression, /*Boolean?*/nonCapture){
 	// summary:
 	//		adds group match to expression
 	// nonCapture:
@@ -62,3 +62,5 @@
 	//		by regular expression. 
 	return "(" + (nonCapture ? "?:":"") + expression + ")"; // String
 }
+	}
+);

=== modified file 'robot.js'
--- robot.js	2009-10-07 15:47:12 +0000
+++ robot.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,7 @@
-dojo.provide("dojo.robot");
+dojo.module("dojo.robot", "doh.robot", function(){
+
 dojo.experimental("dojo.robot");
-dojo.require("doh.robot");
 
-(function(){
 // users who use doh+dojo get the added convenience of dojo.mouseMoveAt,
 // instead of computing the absolute coordinates of their elements themselves
 dojo.mixin(doh.robot,{
@@ -97,4 +96,4 @@
 	}
 });
 
-})();
+});

=== modified file 'robotx.js'
--- robotx.js	2009-03-23 12:05:47 +0000
+++ robotx.js	2009-11-20 15:08:05 +0000
@@ -1,12 +1,11 @@
-dojo.provide("dojo.robotx");
-dojo.require("dojo.robot");
+dojo.module("dojo.robotx", "dojo.robot", function(){
+
 dojo.experimental("dojo.robotx");
 
 // loads an external app into an iframe and points dojo.doc to the iframe document, allowing the robot to control it
 // to use: set robotURL in djConfig to the URL you want to load
 // dojo.require this file
 
-(function(){
 // have to wait for test page to load before testing!
 doh.robot._runsemaphore.lock.push("dojo.robotx.lock");
 
@@ -126,4 +125,4 @@
 
 });
 
-})();
+});

=== modified file 'rpc/JsonService.js'
--- rpc/JsonService.js	2007-10-31 10:00:46 +0000
+++ rpc/JsonService.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,4 @@
-dojo.provide("dojo.rpc.JsonService");
-dojo.require("dojo.rpc.RpcService");
+dojo.module("dojo.rpc.JsonService", "dojo.rpc.RpcService", function(){
 
 dojo.declare("dojo.rpc.JsonService", dojo.rpc.RpcService, {
 		bustCache: false,
@@ -77,3 +76,4 @@
 		}
 	}
 );
+});

=== modified file 'rpc/JsonpService.js'
--- rpc/JsonpService.js	2008-10-01 18:35:37 +0000
+++ rpc/JsonpService.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,4 @@
-dojo.provide("dojo.rpc.JsonpService");
-dojo.require("dojo.rpc.RpcService");
-dojo.require("dojo.io.script");
+dojo.module("dojo.rpc.JsonpService", ["dojo.rpc.RpcService", "dojo.io.script"], function(){
 
 dojo.declare("dojo.rpc.JsonpService", dojo.rpc.RpcService, {
 	// summary:
@@ -59,3 +57,4 @@
 		return params;
 	}
 });
+});

=== modified file 'rpc/RpcService.js'
--- rpc/RpcService.js	2009-02-10 04:36:25 +0000
+++ rpc/RpcService.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("dojo.rpc.RpcService");
+dojo.module("dojo.rpc.RpcService", function(){
 
 dojo.declare("dojo.rpc.RpcService", null, {
 	constructor: function(args){
@@ -166,3 +166,4 @@
 		this.smd = object;
 	}
 });
+});

=== modified file 'string.js'
--- string.js	2009-05-11 23:03:21 +0000
+++ string.js	2009-11-20 15:08:05 +0000
@@ -1,11 +1,12 @@
-dojo.provide("dojo.string");
-
 /*=====
 dojo.string = { 
 	// summary: String utilities for Dojo
 };
 =====*/
 
+dojo.module(
+	"dojo.string",
+	function(){
 dojo.string.rep = function(/*String*/str, /*Integer*/num){
 	//	summary:
 	//		Efficiently replicate a string `n` times.
@@ -151,3 +152,5 @@
 		}
 		return str;
 	};
+	}
+);

=== modified file 'tests/AdapterRegistry.js'
--- tests/AdapterRegistry.js	2007-05-04 06:45:43 +0000
+++ tests/AdapterRegistry.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,4 @@
-dojo.provide("tests.AdapterRegistry");
-dojo.require("dojo.AdapterRegistry");
-
-doh.register("tests.AdapterRegistry", 
-	[
+doh.module("tests.AdapterRegistry", "dojo.AdapterRegistery", [
 		function ctor(t){
 			var taa = new dojo.AdapterRegistry();
 			t.is(0, taa.pairs.length);

=== modified file 'tests/DeferredList.js'
--- tests/DeferredList.js	2008-10-01 18:35:37 +0000
+++ tests/DeferredList.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.DeferredList");
-
-dojo.require("dojo.DeferredList");
-
-doh.register("tests.DeferredList", 
-	[
+doh.module("tests.DeferredList", "dojo.DeferredList", [
 		function callback(t){
 			var d1 = new dojo.Deferred();
 			var d2 = new dojo.Deferred();
@@ -100,103 +95,3 @@
         }
 	]
 );
-dojo.provide("tests.DeferredList");
-
-dojo.require("dojo.DeferredList");
-
-doh.register("tests.DeferredList", 
-	[
-		function callback(t){
-			var d1 = new dojo.Deferred();
-			var d2 = new dojo.Deferred();
-            var dl = new dojo.DeferredList([d1, d2]);
-            var fired = false;
-			dl.addCallback(function(res){
-				doh.debug("debug from dojo.DeferredList callback");
-				return res;
-			});
-			dl.addCallback(function(res){
-                t.assertTrue(res.length == 2);
-                t.assertTrue(res[0][0]);
-                t.assertEqual(res[0][1], "foo");
-                t.assertTrue(res[1][0]);
-                t.assertEqual(res[1][1], "bar");
-                fired = true;
-				return res;
-			});
-			d1.callback("foo");
-			d2.callback("bar");
-            t.assertTrue(fired);
-		},
-
-		function errback(t){
-			var d1 = new dojo.Deferred();
-			var d2 = new dojo.Deferred();
-            var dl = new dojo.DeferredList([d1, d2]);
-            var fired = false;
-            var e1 = new Error("foo");
-            var e2 = new Error("bar");
-
-			dl.addCallback(function(res){
-				doh.debug("debug from dojo.DeferredList callback");
-				return res;
-			});
-			dl.addCallback(function(res){
-                t.assertTrue(res.length == 2);
-                t.assertTrue(!res[0][0]);
-
-                t.assertEqual(res[0][1], e1);
-                t.assertTrue(!res[1][0]);
-                t.assertEqual(res[1][1], e2);
-                fired = true;
-				return res;
-			});
-			d1.errback(e1);
-			d2.errback(e2);
-            t.assertTrue(fired);
-		},
-
-
-		function mixed(t){
-			var d1 = new dojo.Deferred();
-			var d2 = new dojo.Deferred();
-            var dl = new dojo.DeferredList([d1, d2]);
-            var fired = false;
-            var e = new Error("foo");
-
-			dl.addCallback(function(res){
-				doh.debug("debug from dojo.DeferredList callback");
-				return res;
-			});
-			dl.addCallback(function(res){
-                t.assertTrue(res.length == 2);
-                t.assertTrue(!res[0][0]);
-
-                t.assertEqual(res[0][1], e);
-                t.assertTrue(res[1][0]);
-                t.assertEqual(res[1][1], "bar");
-                fired = true;
-				return res;
-			});
-			d1.errback(e);
-			d2.callback("bar");
-            t.assertTrue(fired);
-		}, 
-
-        function gather(t){
-			var d1 = new dojo.Deferred();
-			var d2 = new dojo.Deferred();
-            var dl = dojo.DeferredList.prototype.gatherResults([d1, d2]);
-            var fired = false;
-			dl.addCallback(function(res){
-                t.assertEqual(res[0], "foo");
-                t.assertEqual(res[1], "bar");
-                fired = true;
-				return res;
-			});
-			d1.callback("foo");
-			d2.callback("bar");
-            t.assertTrue(fired);
-        }
-	]
-);

=== modified file 'tests/NodeList-manipulate.js'
--- tests/NodeList-manipulate.js	2009-09-30 15:47:23 +0000
+++ tests/NodeList-manipulate.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.NodeList-manipulate");
+doh.module("tests.NodeList-manipulate", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.NodeList-manipulate", dojo.moduleUrl("tests", "NodeList-manipulate.html"));
 }
+});

=== modified file 'tests/NodeList-traverse.js'
--- tests/NodeList-traverse.js	2009-09-30 15:47:23 +0000
+++ tests/NodeList-traverse.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.NodeList-traverse");
+doh.module("tests.NodeList-traverse", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.NodeList-traverse", dojo.moduleUrl("tests", "NodeList-traverse.html"));
 }
+});

=== modified file 'tests/_base.js'
--- tests/_base.js	2009-03-22 00:49:21 +0000
+++ tests/_base.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,5 @@
 var testGlobal = this;
 try{
-	dojo.provide("tests._base");
 	testGlobal = dojo.global;
 }catch(e){ }
 
@@ -106,29 +105,24 @@
 	}
 }
 
-try{
-	// go grab the others
-	dojo.require("tests._base._loader.bootstrap");
-	dojo.require("tests._base._loader.loader");
-	dojo.platformRequire({
-		browser: ["tests._base._loader.hostenv_browser"],
-		rhino: ["tests._base._loader.hostenv_rhino"],
-		spidermonkey: ["tests._base._loader.hostenv_spidermonkey"]
-	});
-	dojo.require("tests._base.array");
-	dojo.require("tests._base.Color");
-	dojo.require("tests._base.lang");
-	dojo.require("tests._base.declare");
-	dojo.require("tests._base.connect");
-	dojo.require("tests._base.Deferred");
-	dojo.require("tests._base.json");
-	dojo.require("tests._base.object");
+doh.module("tests._base", [
+	"tests._base._loader.bootstrap",
+	"tests._base._loader.loader",
+	[dojo.isBrowser, "tests._base._loader.hostenv_browser"],
+	[dojo.isRhino, "tests._base._loader.hostenv_rhino"],
+	[dojo.isSpidermonkey, "tests._base._loader.hostenv_spidermonkey"],
+	"tests._base.array",
+	"tests._base.Color",
+	"tests._base.lang",
+	"tests._base.declare",
+	"tests._base.connect",
+	"tests._base.Deferred",
+	"tests._base.json",
+	"tests._base.object",
 	// FIXME: add test includes for the rest of the Dojo Base groups here
-	dojo.requireIf(dojo.isBrowser, "tests._base.html");
-	dojo.requireIf(dojo.isBrowser, "tests._base.fx");
-	dojo.requireIf(dojo.isBrowser, "tests._base.query");
-	dojo.requireIf(dojo.isBrowser, "tests._base.xhr");
-	dojo.requireIf(dojo.isBrowser, "tests._base.window");
-}catch(e){
-	doh.debug(e);
-}
+	[dojo.isBrowser, "tests._base.html"],
+	[dojo.isBrowser, "tests._base.fx"],
+	[dojo.isBrowser, "tests._base.query"],
+	[dojo.isBrowser, "tests._base.xhr"],
+	[dojo.isBrowser, "tests._base.window"]
+]);

=== modified file 'tests/_base/Color.js'
--- tests/_base/Color.js	2007-07-18 01:11:12 +0000
+++ tests/_base/Color.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,5 @@
-dojo.provide("tests._base.Color");
+doh.module("tests._base.Color", function(){
 
-(function(){
 	var white  = dojo.colorFromString("white").toRgba();
 	var maroon = dojo.colorFromString("maroon").toRgba();
 	var verifyColor = function(t, source, expected){
@@ -25,4 +24,4 @@
 			function testColor12(t){ verifyColor(t, dojo.blendColors(new dojo.Color("black"), new dojo.Color("white"), 0.5), [128, 128, 128, 1]); }
 		]
 	);
-})();
+});

=== modified file 'tests/_base/Deferred.js'
--- tests/_base/Deferred.js	2009-10-11 03:06:36 +0000
+++ tests/_base/Deferred.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,4 @@
-dojo.provide("tests._base.Deferred");
-
-doh.register("tests._base.Deferred", 
-	[
-
+doh.module("tests._base.Deferred", [
 		function callback(t){
 			var nd = new dojo.Deferred();
 			var cnt = 0;

=== modified file 'tests/_base/_loader/bootstrap.js'
--- tests/_base/_loader/bootstrap.js	2009-08-22 01:58:38 +0000
+++ tests/_base/_loader/bootstrap.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base._loader.bootstrap");
-
-tests.register("tests._base._loader.bootstrap", 
-	[
+doh.module("tests._base._loader.bootstrap", [
 
 		function hasConsole(t){
 			t.assertTrue("console" in dojo.global);

=== modified file 'tests/_base/_loader/hostenv_browser.js'
--- tests/_base/_loader/hostenv_browser.js	2007-04-08 04:53:58 +0000
+++ tests/_base/_loader/hostenv_browser.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base._loader.hostenv_browser");
-
-tests.register("tests._base._loader.hostenv_browser", 
-	[
+doh.module("tests._base._loader.hostenv_browser", [
 		function getText(t){
 			var filePath = dojo.moduleUrl("tests._base._loader", "getText.txt");
 			var text = dojo._getText(filePath);

=== modified file 'tests/_base/_loader/loader.js'
--- tests/_base/_loader/loader.js	2008-04-08 04:51:53 +0000
+++ tests/_base/_loader/loader.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base._loader.loader");
-
-tests.register("tests._base._loader.loader", 
-	[
+doh.module("tests._base._loader.loader", [
 		function baseUrl(t){
 			var originalBaseUrl = dojo.config["baseUrl"] || "./";
 

=== modified file 'tests/_base/array.js'
--- tests/_base/array.js	2008-06-18 00:29:26 +0000
+++ tests/_base/array.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base.array");
-
-tests.register("tests._base.array", 
-	[
+doh.module("tests._base.array", [
 		function testIndexOf(t){
 			var foo = [128, 256, 512];
 			var bar = ["aaa", "bbb", "ccc"];

=== modified file 'tests/_base/connect.js'
--- tests/_base/connect.js	2007-08-18 23:43:00 +0000
+++ tests/_base/connect.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("tests._base.connect");
+doh.module("tests._base.connect", function(){
 
 hub = function(){
 }
@@ -219,3 +219,4 @@
 		}
 	]
 );
+});

=== modified file 'tests/_base/declare.js'
--- tests/_base/declare.js	2009-09-27 18:54:51 +0000
+++ tests/_base/declare.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base.declare");
-
-tests.register("tests._base.declare",
-	[
+doh.module("tests._base.declare", [
 		function smokeTest(t){
 			dojo.declare("tests._base.declare.tmp");
 			var tmp = new tests._base.declare.tmp();

=== modified file 'tests/_base/fx.js'
--- tests/_base/fx.js	2007-05-24 20:16:13 +0000
+++ tests/_base/fx.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests._base.fx");
+doh.module("tests._base.fx", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests._base.fx", dojo.moduleUrl("tests", "_base/fx.html"), 15000);
 }
+});

=== modified file 'tests/_base/html.js'
--- tests/_base/html.js	2009-07-28 22:14:01 +0000
+++ tests/_base/html.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("tests._base.html");
+doh.module("tests._base.html", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests._base.html", dojo.moduleUrl("tests", "_base/html.html"), 15000);
 	doh.registerUrl("tests._base.html_id", dojo.moduleUrl("tests", "_base/html_id.html"), 15000);
@@ -10,3 +10,4 @@
 	doh.registerUrl("tests._base.html_isBodyLtr", dojo.moduleUrl("tests", "_base/html_isBodyLtr.html"), 35000);
 	doh.registerUrl("tests._base.html_docScroll", dojo.moduleUrl("tests", "_base/html_docScroll.html"), 35000);
 }
+});

=== modified file 'tests/_base/json.js'
--- tests/_base/json.js	2008-02-02 04:47:41 +0000
+++ tests/_base/json.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base.json");
-
-tests.register("tests._base.json", 
-	[
+doh.module("tests._base.json", [
 		//Not testing dojo.toJson() on its own since Rhino will output the object properties in a different order.
 		//Still valid json, but just in a different order than the source string.
 

=== modified file 'tests/_base/lang.js'
--- tests/_base/lang.js	2009-10-26 05:19:24 +0000
+++ tests/_base/lang.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base.lang");
-
-tests.register("tests._base.lang", 
-	[
+doh.module("tests._base.lang", [
 		function mixin(t){
 			t.assertEqual("object", typeof dojo.mixin());
 			t.assertEqual("object", typeof dojo.mixin(undefined));
@@ -276,4 +273,4 @@
 			t.is("Hello, Robert Cringely!", s4);
 		}
 	]
-);
\ No newline at end of file
+);

=== modified file 'tests/_base/object.js'
--- tests/_base/object.js	2009-09-30 15:47:23 +0000
+++ tests/_base/object.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,4 @@
-dojo.provide("tests._base.object");
+doh.module("tests._base.object", function(){
 
 // setup the test object
 dojo.zoo = { a:1, c: { d:1 } };
@@ -40,3 +40,5 @@
 
 	]
 );
+
+});

=== modified file 'tests/_base/query.js'
--- tests/_base/query.js	2007-04-26 17:18:37 +0000
+++ tests/_base/query.js	2009-11-20 15:08:05 +0000
@@ -1,5 +1,6 @@
-dojo.provide("tests._base.query");
+doh.module("tests._base.query", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests._base.query", dojo.moduleUrl("tests", "_base/query.html"));
 	doh.registerUrl("tests._base.NodeList", dojo.moduleUrl("tests", "_base/NodeList.html"));
 }
+});

=== modified file 'tests/_base/window.js'
--- tests/_base/window.js	2009-03-03 00:09:57 +0000
+++ tests/_base/window.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests._base.window");
-
-tests.register("tests._base.window", 
-	[
+doh.module("tests._base.window", [
 		function withGlobal(t){
 			var arg1, arg2, innerThis, innerGlobal, innerDoc, finished,
 				globalObj = {test: "myGlobal", document: {test: "myDoc"}},

=== modified file 'tests/_base/xhr.js'
--- tests/_base/xhr.js	2007-04-26 17:18:37 +0000
+++ tests/_base/xhr.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests._base.xhr");
+doh.module("tests._base.xhr", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests._base.xhr", dojo.moduleUrl("tests", "_base/xhr.html"));
 }
+});

=== modified file 'tests/back-hash.js'
--- tests/back-hash.js	2008-10-01 18:35:37 +0000
+++ tests/back-hash.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.back-hash");
-
-dojo.require("dojo.back");
-
-(function(){
-	tests.register("tests.back.hash", [
+doh.module("tests.back-hash", "dojo.back", [
 		function getAndSet(t) {
 			var cases = [
 				"test",
@@ -26,4 +21,3 @@
 			dojo.forEach(cases, verify);
 		}
 	]);
-})();

=== modified file 'tests/behavior.js'
--- tests/behavior.js	2007-05-20 00:39:21 +0000
+++ tests/behavior.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.behavior");
+doh.module("tests.behavior", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.behavior", dojo.moduleUrl("tests", "behavior.html"));
 }
+});

=== modified file 'tests/cache.js'
--- tests/cache.js	2009-09-30 15:47:23 +0000
+++ tests/cache.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.cache");
-
-dojo.require("dojo.cache");
-
-tests.register("tests.cache", 
-	[
+doh.module("tests.cache", "dojo.cache", [
 		{
 			runTest: function(t){
 				var expected = "<h1>Hello World</h1>";

=== modified file 'tests/cldr.js'
--- tests/cldr.js	2007-05-28 01:51:40 +0000
+++ tests/cldr.js	2009-11-20 15:08:05 +0000
@@ -1,10 +1,4 @@
-dojo.provide("tests.cldr");
-
-dojo.require("dojo.cldr.supplemental");
-dojo.require("dojo.cldr.monetary");
-
-tests.register("tests.cldr", 
-	[
+doh.module("tests.cldr", ["dojo.cldr.supplemental", "dojo.cldr.monetary"], [
 		function test_date_getWeekend(t){
 			t.is(6, dojo.cldr.supplemental.getWeekend('en-us').start);
 			t.is(0, dojo.cldr.supplemental.getWeekend('en-us').end);

=== modified file 'tests/colors.js'
--- tests/colors.js	2007-07-18 01:11:12 +0000
+++ tests/colors.js	2009-11-20 15:08:05 +0000
@@ -1,7 +1,4 @@
-dojo.provide("tests.colors");
-dojo.require("dojo.colors");
-
-(function(){
+doh.module("tests.colors", "dojo.colors", function(){
 	var verifyColor = function(t, source, expected){
 		var source   = new dojo.Color(source);
 		var expected = new dojo.Color(expected);
@@ -41,4 +38,4 @@
 			function testColorEx26(t){ verifyColor(t, dojo.colors.makeGrey(2, 0.3), [2, 2, 2, 0.3]); }
 		]
 	);
-})();
+});

=== modified file 'tests/cookie.js'
--- tests/cookie.js	2007-04-25 01:16:52 +0000
+++ tests/cookie.js	2009-11-20 15:08:05 +0000
@@ -1,4 +1,5 @@
-dojo.provide("tests.cookie");
+doh.module("tests.cookie", function(){
 if(dojo.isBrowser){
 	doh.registerUrl("tests.cookie", dojo.moduleUrl("tests", "cookie.html"));
 }
+});

=== modified file 'tests/currency.js'
--- tests/currency.js	2008-07-25 02:19:29 +0000
+++ tests/currency.js	2009-11-20 15:08:05 +0000
@@ -1,9 +1,4 @@
-dojo.provide("tests.currency");
-
-dojo.require("dojo.currency");
-
-tests.register("tests.currency", 
-	[
+doh.module("tests.currency", "dojo.currency", [
 		{
 			// Test formatting and parsing of currencies in various locales pre-built in dojo.cldr
 			// NOTE: we can't set djConfig.extraLocale before bootstrapping unit tests, so directly

=== modified file 'tests/data.js'
--- tests/data.js	2008-01-22 06:03:07 +0000
+++ tests/data.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,9 @@
-dojo.provide("tests.data");
 //Squelch any json comment messages for now, since the UT allows for both.
 dojo.config.usePlainJson = true;
-dojo.require("tests.data.utils");
-dojo.require("tests.data.ItemFileReadStore");
-dojo.require("tests.data.ItemFileWriteStore");
+doh.module("tests.data", [
+"tests.data.utils",
+"tests.data.ItemFileReadStore",
+"tests.data.ItemFileWriteStore"
+]);
 
 

=== modified file 'tests/data/ItemFileReadStore.js'
--- tests/data/ItemFileReadStore.js	2007-07-09 23:44:16 +0000
+++ tests/data/ItemFileReadStore.js	2009-11-20 15:08:05 +0000
@@ -1,6 +1,4 @@
-dojo.provide("tests.data.ItemFileReadStore");
-dojo.require("tests.data.readOnlyItemFileTestTemplates");
-dojo.require("dojo.data.ItemFileReadStore");
+doh.module("tests.data.ItemFileReadStore", ["tests.data.readOnlyItemFileTestTemplates", "dojo.data.ItemFileReadStore"], function(){
 
 tests.data.readOnlyItemFileTestTemplates.registerTestsForDatastore("dojo.data.ItemFileReadStore");
-
+});

=== modified file 'tests/data/ItemFileWriteStore.js'
--- tests/data/ItemFileWriteStore.js	2009-04-07 17:36:51 +0000
+++ tests/data/ItemFileWriteStore.js	2009-11-20 15:08:05 +0000
@@ -1,11 +1,12 @@
-dojo.provide("tests.data.ItemFileWriteStore");
-dojo.require("tests.data.readOnlyItemFileTestTemplates");
+doh.module("tests.data.ItemFileWriteStore", [
+"tests.data.readOnlyItemFileTestTemplates",
 
-dojo.require("dojo.data.ItemFileWriteStore");
-dojo.require("dojo.data.api.Read");
-dojo.require("dojo.data.api.Identity");
-dojo.require("dojo.data.api.Write");
-dojo.require("dojo.data.api.Notification");
+"dojo.data.ItemFileWriteStore",
+"dojo.data.api.Read",
+"dojo.data.api.Identity",
+"dojo.data.api.Write",
+"dojo.data.api.Notification"
+],function(){
 
 
 // First, make sure ItemFileWriteStore can still pass all the same unit tests 
@@ -1583,4 +1584,4 @@
 	]
 );
 
-
+});

=== modified file 'tests/data/readOnlyItemFileTestTemplates.js'
--- tests/data/readOnlyItemFileTestTemplates.js	2009-08-31 14:50:43 +0000
+++ tests/data/readOnlyItemFileTestTemplates.js	2009-11-20 15:08:05 +0000
@@ -1,8 +1,9 @@
-dojo.provide("tests.data.readOnlyItemFileTestTemplates");
-dojo.require("dojo.data.api.Read");
-dojo.require("dojo.data.api.Identity");
-dojo.require("dojo.date");
-dojo.require("dojo.date.stamp");
+doh.module("tests.data.readOnlyItemFileTestTemplates", [
+"dojo.data.api.Read",
+"dojo.data.api.Identity",
+"dojo.date",
+"dojo.date.stamp"
+],function(){
 
 dojo.declare("tests.data.Wrapper", null, {
 	//	summary:
@@ -3103,3 +3104,4 @@
 	}
 ];
 
+});

